# Class XSLException

Object
Throwable
Exception
nu.xom.xslt.XSLException

All Implemented Interfaces:
  `Serializable`

public class XSLException extends Exception

Thrown when an XSL stylesheet fails to compile or an XSL transform fails.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XSLException(String message)`
Creates a new `XSLException` with the specified detail message.
`XSLException(String message, Throwable cause)`
Creates a new `XSLException` with the specified detail message and an underlying root cause.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
Returns the underlying exception that caused this exception.
`final Throwable`
`initCause(Throwable cause)`
Sets the root cause of this exception.

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XSLException

public XSLException(String message, Throwable cause)

Creates a new `XSLException` with the specified detail message and an underlying root cause.

Parameters:
  `message` - information about the cause of the exception
  `cause` - the nested exception that caused this exception

### XSLException

public XSLException(String message)

Creates a new `XSLException` with the specified detail message.

Parameters:
  `message` - information about the cause of the exception

## Method Details

### initCause

public final Throwable initCause(Throwable cause)

Sets the root cause of this exception. This may only be called once. Subsequent calls throw an `IllegalStateException`.

This method is unnecessary in Java 1.4 where it could easily be inherited from the superclass. However, including it here allows this method to be used in Java 1.3 and earlier.

Overrides:
  `initCause` in class `Throwable`
Parameters:
  `cause` - the root cause of this exception
Returns:
  this `XSLException`
Throws:
  `IllegalArgumentException` - if the cause is this exception (An exception cannot be its own cause.)
  `IllegalStateException` - if this method is called twice

### getCause

public Throwable getCause()

Returns the underlying exception that caused this exception.

Overrides:
  `getCause` in class `Throwable`
Returns:
  the initial exception that caused this exception to be thrown